--- old/usr/src/man/man3c/mbsrtowcs.3c	Sun Jun 29 11:52:09 2014
+++ new/usr/src/man/man3c/mbsrtowcs.3c	Sun Jun 29 11:52:09 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 1992, X/Open Company Limited. All Rights Reserved.  Portions Copyright (c) 2003, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,40 +8,43 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MBSRTOWCS 3C "Nov 1, 2003"
+.TH MBSRTOWCS 3C "Jun 28, 2014"
 .SH NAME
-mbsrtowcs, mbsrtowcs_l \- convert a character string to a wide-character string
-(restartable)
+mbsnrtwocs, mbsnrtowcs_l, mbsrtowcs, mbsrtowcs_l \- convert a character string
+to a wide-character string (restartable)
 .SH SYNOPSIS
 .LP
 .nf
 #include <wchar.h>
 
+\fBsize_t\fR \fBmbsnrtowcs\fR(\fBwchar_t *restrict\fR \fIdst\fR, \fBconst char **restrict\fR \fIsrc\fR,
+     \fBsize_t\fR \fInms\fR, \fBsize_t\fR \fIlen\fR, \fBmbstate_t *restrict\fR \fIps\fR);
+.fi
+.LP
+.nf
 \fBsize_t\fR \fBmbsrtowcs\fR(\fBwchar_t *restrict\fR \fIdst\fR, \fBconst char **restrict\fR \fIsrc\fR,
      \fBsize_t\fR \fIlen\fR, \fBmbstate_t *restrict\fR \fIps\fR);
-
-\fBsize_t\fR \fBmbsrtowcs_l\fR(\fBwchar_t *restrict\fR \fIdst\fR, \fBconst char **restrict\fR \fIsrc\fR,
-     \fBsize_t\fR \fIlen\fR, \fBmbstate_t *restrict\fR \fIps\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 .LP
 .nf
-\fBsize_t\fR \fBmbsnrtowcs\fR(\fBwchar_t *restrict\fR \fIdst\fR, \fBconst char **restrict\fR \fIsrc\fR,
-     \fBsize_t\fR \fInms\fR, \fBsize_t\fR \fIlen\fR, \fBmbstate_t *restrict\fR \fIps\fR);
+#include <wchar.h>
+#include <xlocale.h>
 
 \fBsize_t\fR \fBmbsnrtowcs_l\fR(\fBwchar_t *restrict\fR \fIdst\fR, \fBconst char **restrict\fR \fIsrc\fR,
-     \fBsize_t\fR \fInms\fR, \fBsize_t\fR \fIlen\fR, \fBmbstate_t *restrict\fR \fIps\fR,
-     \fBlocale_t\fR \fIloc\fR);
+     \fBsize_t\fR \fInms\fR, \fBsize_t\fR \fIlen\fR, \fBmbstate_t *restrict\fR \fIps\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
-
+.LP
+.nf
+\fBsize_t\fR \fBmbsrtowcs_l\fR(\fBwchar_t *restrict\fR \fIdst\fR, \fBconst char **restrict\fR \fIsrc\fR,
+     \fBsize_t\fR \fIlen\fR, \fBmbstate_t *restrict\fR \fIps\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
-The \fBmbsrtowcs()\fR function converts a sequence of characters, beginning in
+These function converts a sequence of characters, beginning in
 the conversion state described by the object pointed to by \fIps\fR, from the
 array indirectly pointed to by \fIsrc\fR into a sequence of corresponding
 wide-characters. If \fIdst\fR is not a null pointer, the converted characters
-are stored into the array pointed to by  \fIdst\fR. Conversion continues up to
+are stored into the array pointed to by \fIdst\fR. Conversion continues up to
 and including a terminating null character, which is also stored.  Conversion
 stops early in either of the following cases:
 .RS +4
@@ -56,10 +60,8 @@
 When \fIlen\fR codes have been stored into the array pointed to by \fIdst\fR
 (and  \fIdst\fR is not a null pointer).
 .RE
-.sp
 .LP
 Each conversion takes place as if by a call to the \fBmbrtowc()\fR function.
-.sp
 .LP
 If \fIdst\fR is not a null pointer, the pointer object pointed to by \fIsrc\fR
 is assigned either a null pointer (if conversion stopped due to reaching a
@@ -67,39 +69,35 @@
 converted (if any).  If conversion stopped due to reaching a terminating null
 character, and if \fIdst\fR is not a null pointer, the resulting state
 described is the initial conversion state.
-.sp
 .LP
-If \fIps\fR is a null pointer, the \fBmbsrtowcs()\fR function uses its own
+If \fIps\fR is a null pointer, these functions uses their own
 internal \fBmbstate_t\fR object, which is initialized at program startup to the
-initial conversion state.  Otherwise, the  \fBmbstate_t\fR object pointed to by
+initial conversion state.  Otherwise, the \fBmbstate_t\fR object pointed to by
 \fIps\fR is used to completely describe the current conversion state of the
-associated character sequence. illumos will behave as if no function defined in
-the illumos Reference Manual calls \fBmbsrtowcs()\fR.
-.sp
+associated character sequence. The system will behave as if no function defined
+in the Reference Manual calls any of these functions.
 .LP
-The function \fBmbsnrtowcs\fR function behaves identically to \fBmbsrtowcs\fR,
+The function \fBmbsnrtowcs()\fR behaves identically to \fBmbsrtowcs()\fR,
 except the conversion stops after reading \fInms\fR bytes from the
 buffer pointed to by \fIsrc\fR.
-.sp
 .LP
-The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
+The behavior of \fBmbnrtowcs()\fR and \fBmbsrtowcs()\fR functions are
+affected by the \fBLC_CTYPE\fR category of the
 current locale.  See \fBenviron\fR(5). The functions \fBmbsrtowcs_l()\fR and
-\fBmbsnrtowcs_l()\fR behaves identically to \fBmbsrtowcs()\fR and
-\fBmbsnrtowcs()\fR, except that instead of using the current locale, it uses the
-locale specified by \fIloc\fR.
+\fBmbsnrtowcs_l()\fR behave identically to \fBmbsrtowcs()\fR and
+\fBmbsnrtowcs()\fR, except that instead of using the current locale, they use
+the locale specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 If the input conversion encounters a sequence of bytes that do not form a valid
-character, an encoding error occurs.  In this case, the \fBmbsrtowcs()\fR
-function stores the value of the macro \fBEILSEQ\fR in \fBerrno\fR and returns
-\fB(size_t)\(mi1\fR; the conversion state is undefined.  Otherwise, it returns
+character, an encoding error occurs.  In this case, these
+functions store the value of the macro \fBEILSEQ\fR in \fBerrno\fR and return
+\fB(size_t)\(mi1\fR; the conversion state is undefined.  Otherwise, they return
 the number of characters successfully converted, not including the terminating
 null (if any).
 .SH ERRORS
-.sp
 .LP
-The \fBmbsrtowcs()\fR function may fail if:
+Theses functions may fail if:
 .sp
 .ne 2
 .na
@@ -118,14 +116,9 @@
 .RS 10n
 Invalid character sequence is detected.
 .RE
-
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -132,23 +125,29 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	See NOTES below
+MT-Level	See below.
 .TE
 
-.SH SEE ALSO
-.sp
 .LP
-\fBmbrtowc\fR(3C), \fBmbsinit\fR(3C), \fBsetlocale\fR(3C), \fBuselocale()\fR, \fBattributes\fR(5),
-\fBenviron\fR(5), \fBstandards\fR(5)
-.SH NOTES
-.sp
+The
+.B mbsnrtowcs()
+and
+.B mbsrtowcs()
+functions are Standard.  The 
+.B mbsnrtowcs_l()
+and
+.B mbsrtowcs_l()
+functions are Uncommitted.
 .LP
-If \fIps\fR is not a null pointer, \fBmbsrtowcs()\fR uses the \fBmbstate_t\fR
-object pointed to by \fIps\fR and the function can be used safely in
-multithreaded applications, as long as \fBsetlocale\fR(3C) is not being called
-to change the locale or a per-thread locale has been installed with
-\fBuselocale()\fR. If \fIps\fR is a null pointer, \fBmbsrtowcs()\fR uses its
-internal \fBmbstate_t\fR object and the function is Unsafe in multithreaded
+If \fIps\fR is not a null pointer, these functions use the \fBmbstate_t\fR
+object pointed to by \fIps\fR and can be used safely in
+multithreaded applications, otherwise they use an
+internal \fBmbstate_t\fR object and are Unsafe in multithreaded
 applications.
+.SH SEE ALSO
+.LP
+\fBmbrtowc\fR(3C), \fBmbsinit\fR(3C), \fBnewlocale\fR(3C),
+\fBsetlocale\fR(3C), \fBuselocale()\fR, \fBattributes\fR(5),
+\fBenviron\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/mbtowc.3c	Sun Jun 29 11:52:11 2014
+++ new/usr/src/man/man3c/mbtowc.3c	Sun Jun 29 11:52:11 2014
@@ -7,7 +7,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH MBTOWC 3C "Nov 1, 2003"
+.TH MBTOWC 3C "Jun 23, 2014"
 .SH NAME
 mbtowc, mbtowc_l \- convert a character to a wide-character code
 .SH SYNOPSIS
@@ -16,11 +16,16 @@
 #include <stdlib.h>
 
 \fBint\fR \fBmbtowc\fR(\fBwchar_t *restrict\fR \fIpwc\fR, \fBconst char *restrict\fR \fIs\fR, \fBsize_t\fR \fIn\fR);
-\fBint\fR \fBmbtowc_l\fR(\fBwchar_t *restrict\fR \fIpwc\fR, \fBconst char *restrict\fR \fIs\fR, \fBsize_t\fR \fIn\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
+.LP
+.nf
+#include <stdlib.h>
+#include <xlocale.h>
 
+\fBint\fR \fBmbtowc_l\fR(\fBwchar_t *restrict\fR \fIpwc\fR, \fBconst char *restrict\fR \fIs\fR, \fBsize_t\fR \fIn\fR,
+    \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
 If \fIs\fR is not a null pointer, \fBmbtowc()\fR determines the number of the
 bytes that constitute the character pointed to by \fIs\fR. It then determines
@@ -29,33 +34,28 @@
 byte is 0.) If the character is valid and \fIpwc\fR is not a null pointer,
 \fBmbtowc()\fR stores the wide-character code in the object pointed to by
 \fIpwc\fR.
-.sp
 .LP
 A call with \fIs\fR as a null pointer causes this function to return \fB0\fR.
 The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
 current locale. At most \fIn\fR bytes of the array pointed to by \fIs\fR will
 be examined.
-.sp
 .LP
 The function \fBmbtowc_l()\fR behaves identically to \fBmbtowc()\fR, except
 instead of using the current locale, it uses the locale as specified by
 \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
-If \fIs\fR is a null pointer, \fBmbtowc()\fR returns \fB0\fR. If \fIs\fR is not
-a null pointer, \fBmbtowc()\fR returns \fB0\fR (if \fIs\fR points to the null
+If \fIs\fR is a null pointer, these functions return \fB0\fR. If \fIs\fR is not
+a null pointer, they return \fB0\fR (if \fIs\fR points to the null
 byte), the number of bytes that constitute the converted character (if the next
 \fIn\fR or fewer bytes form a valid character), or  \fB\(mi1\fR and may set
 \fBerrno\fR to indicate the error (if they do not form a valid character).
-.sp
 .LP
 In no case will the value returned be greater than \fIn\fR or the value of the
 \fBMB_CUR_MAX\fR macro.
 .SH ERRORS
-.sp
 .LP
-The \fBmbtowc()\fR function may fail if:
+The \fBmbtowc()\fR and \fBmbtowc_l()\fR functions may fail if:
 .sp
 .ne 2
 .na
@@ -64,34 +64,30 @@
 .RS 10n
 Invalid character sequence is detected.
 .RE
-
-.SH USAGE
-.sp
-.LP
-The \fBmbtowc()\fR function can be used safely in multithreaded applications,
-as long as \fBsetlocale\fR(3C) is not being called to change the locale.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
-l | l
+c | c
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
 CSI	Enabled
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The
+.B mbtowc()
+function is Standard.  The
+.B mbtowc_l()
+function is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
-\fBmblen\fR(3C), \fBmbstowcs\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBmblen\fR(3C), \fBmbstowcs\fR(3C),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
 \fBwcstombs\fR(3C), \fBwctomb\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/newlocale.3c	Sun Jun 29 11:52:13 2014
+++ new/usr/src/man/man3c/newlocale.3c	Sun Jun 29 11:52:13 2014
@@ -11,26 +11,27 @@
 .\"
 .\"
 .\" Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.TH NEWLOCALE 3C "Jun 11, 2014"
-
+.TH NEWLOCALE 3C "Jun 23, 2014"
 .SH NAME
-
 duplocale, freelocale, newlocale \- create, duplicate, and destroy locale objects
-
 .SH SYNOPSIS
-
 .LP
 .nf
 #include <locale.h>
 
-.BI "locale_t newlocale(int " category_mask, " const char *" locale,
-.BI "    locale_t " base );
+\fBlocale_t\fR \fBnewlocale\fR(\fBint\fR \fIcategory_mask\fR, \fBconst char *\fR \fIlocale\fR,
+    \fBlocale_t\fR \fIbase\fR);
+.fi
 .LP
-.BI "locale_t duplocale(locale_t " loc );
+.nf
+\fBlocale_t\fR \fBduplocale\fR(\fBlocale_t\fR \fIloc\fR);
+.fi
 .LP
-.BI "void freelocale(locale_t " loc );
-
+.nf
+\fBvoid\fR \fBfreelocale\fR(\fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
 .LP
 These functions manipulate locale objects that can be used
@@ -37,10 +38,9 @@
 .BR uselocale (3C)
 and functions that take arguments of type
 .BR locale_t .
-
 .LP
 The function
-.I newlocale
+.B newlocale()
 can be used to create a new locale object. It can also be used to modify an
 existing locale object, the new locale object will be a replacement for the
 modified locale object. To create a new locale, the argument
@@ -57,7 +57,7 @@
 and filling in the remaining categories from the locale
 .IR base .
 When
-.B newlocale
+.B newlocale()
 returns, callers must no longer use
 .IR base
 and assume that
@@ -65,119 +65,49 @@
 has been called on it. In addition to locales defined on the system, the
 following three locales may always be passed in as the string
 .IR locale :
-
-.sp
-.ne 2
-.na
+.TP
 "C"
-.ad
-.sp .6
-.RS 4n
 Specifies the traditional UNIX system behavior.
-.RE
-
-.sp
-.ne 2
-.na
+.TP
 "POSIX"
-.ad
-.sp .6
-.RS 4n
 An alternate name fo the locale "C".
-.RE
-
-.sp
-.ne 2
-.na
+.TP
 ""
-.ad
-.sp .6
-.RS 4n
 Indicates that the locale should be processed based in the values in the
 environment. See
-.BR setlocale "(3C) and " environ (5)
+.BR setlocale (3C)
+and 
+.BR environ (5)
 for more information.
-.RE
-
-
-
 .LP
 The value of
 .I category_mask
 is a bitwise-inclusive or of the following macros which correspond to categories
 as defined in
-.BR locale "(5) and " environ" (5):
-
-.sp
-.ne 2
-.na
-LC_CTYPE_MASK
-.ad
-.sp .6
-.RS 4n
+.BR locale (5)
+and
+.BR environ (5):
+.TP
+.B LC_CTYPE_MASK
 Character classification and case conversion.
-.RE
-
-.sp
-.ne 2
-.na
-LC_NUMERIC_MASK
-.ad
-.sp .6
-.RS 4n
+.TP
+.B LC_NUMERIC_MASK
 Numeric formatting.
-.RE
-
-.sp
-.ne 2
-.na
-LC_TIME_MASK
-.ad
-.sp .6
-.RS 4n
+.TP
+.B LC_TIME_MASK
 Date and time formatting.
-.RE
-
-.sp
-.ne 2
-.na
-LC_COLLATE_MASK
-.ad
-.sp .6
-.RS 4n
+.TP
+.B LC_COLLATE_MASK
 Collation order.
-.RE
-
-.sp
-.ne 2
-.na
-LC_MONETARY_MASK
-.ad
-.sp .6
-.RS 4n
-Monetary formating.
-.RE
-
-.sp
-.ne 2
-.na
-LC_MESSAGES_MASK
-.ad
-.sp .6
-.RS 4n
+.TP
+.B LC_MONETARY_MASK
+Monetary formatting.
+.TP
+.B LC_MESSAGES_MASK
 Formats of informative and diagnostic messages and interactive responses.
-.RE
-
-.sp
-.ne 2
-.na
-LC_ALL_MASK
-.ad
-.sp .6
-.RS 4n
-Instructs that all the categories defined above, be used.
-.RE
-
+.TP
+.B LC_ALL_MASK
+Mask of all categories.
 .LP
 The function
 .B duplocale()
@@ -188,7 +118,6 @@
 .B duplocale()
 creates a copy of the current global locale as defined through calls to
 .BR setlocale (3C).
-
 .LP
 The function
 .B freelocale()
@@ -198,9 +127,8 @@
 .B freelocale()
 on
 .BR LC_GLOBAL_LOCALE .
-
 .SH RETURN VALUES
-
+.LP
 On success, the functions
 .B newlocale()
 and
@@ -221,7 +149,6 @@
 .B freelocale()
 function does not set
 .B errno.
-
 .SH ERRORS
 .LP
 The
@@ -229,41 +156,22 @@
 and
 .B duplocale()
 functions will fail if:
-.sp
-.ne 2
-.na
+.TP
 .B ENOMEM
-.ad
-.RS 10n
 Insufficient memory was available to create the locale object or to load the
 requested locale data.
-.RE
-
 .LP
 The
 .B newlocale()
 function will fail if:
-.sp
-.ne 2
-.na
+.TP
 .B EINVAL
-.ad
-.RS 10n
 An unknown bit is specified in
 .IR category_mask .
-.RE
-.sp
-.ne 2
-.na
+.TP
 .B ENOENT
-.ad
-.RS 10n
 Locale data was not found for a category specified in
-.IR category_mask .
-.RE
-
 .SH ATTRIBUTES
-.sp
 .TS
 box;
 c | c
--- old/usr/src/man/man3c/nl_langinfo.3c	Sun Jun 29 11:52:15 2014
+++ new/usr/src/man/man3c/nl_langinfo.3c	Sun Jun 29 11:52:15 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright 1989 AT&T  Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved  Portions Copyright (c) 1992, X/Open Company Limited  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH NL_LANGINFO 3C "Jul 24, 2002"
+.TH NL_LANGINFO 3C "Jun 24, 2014"
 .SH NAME
 nl_langinfo, nl_langinfo_l \- language information
 .SH SYNOPSIS
@@ -16,50 +17,37 @@
 #include <langinfo.h>
 
 \fBchar *\fR\fBnl_langinfo\fR(\fBnl_item\fR \fIitem\fR);
+.fi
+.LP
+.nf
 \fBchar *\fR\fBnl_langinfo_l\fR(\fBnl_item\fR \fIitem\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .SH DESCRIPTION
-.sp
 .LP
 The \fBnl_langinfo()\fR function returns a pointer to a null-terminated string
 containing information relevant to a particular language or cultural area
 defined in the programs locale. The manifest constant names and values of
 \fIitem\fR are defined by <\fBlanginfo.h\fR>. For example:
-.sp
+.IP
+\fBnl_langinfo\fR(\fBABDAY_1\fR);
 .LP
-\fBnl_langinfo (ABDAY_1);\fR
-.sp
-.LP
 would return a pointer to the string "\fBDim\fR" if the identified language was
 French and a French locale was correctly installed; or "\fBSun\fR" if the
 identified language was English.
-.sp
 .LP
 The function \fBnl_langinfo_l()\fR behaves identically to \fBnl_langinfo()\fR,
 except instead of acting in the current locale, it instead acts in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
-If \fBsetlocale\fR(3C) has not been called successfully, or if  data for a
+If the locale has not been set or is invalid, or if  data for a
 supported language is either not available, or if \fIitem\fR is not defined
-therein, then \fBnl_langinfo()\fR returns a pointer to the corresponding string
-in the C locale. In all locales,  \fBnl_langinfo()\fR returns a pointer to an
+therein, then these functions return a pointer to the corresponding string
+in the C locale. In all locales, they return a pointer to an
 empty string if \fIitem\fR contains an invalid setting.
-.SH USAGE
-.sp
-.LP
-The \fBnl_langinfo()\fR function can be used safely in multithreaded
-applications, as long as \fBsetlocale\fR(3C) is not being called to change the
-locale.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -70,16 +58,15 @@
 _
 Interface Stability	Standard
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBsetlocale\fR(3C), \fBlanginfo.h\fR(3HEAD), \fBnl_types.h\fR(3HEAD),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBlanginfo.h\fR(3HEAD), \fBnl_types.h\fR(3HEAD),
 \fBattributes\fR(5), \fBstandards\fR(5)
 .SH WARNINGS
-.sp
 .LP
 The array pointed to by the return value should not be modified by the program.
-Subsequent calls to  \fBnl_langinfo()\fR may overwrite the array.
+Subsequent calls to these functions may overwrite the array.
--- old/usr/src/man/man3c/strcoll.3c	Sun Jun 29 11:52:18 2014
+++ new/usr/src/man/man3c/strcoll.3c	Sun Jun 29 11:52:18 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2003, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright 1989 AT&T
 .\" Portions Copyright (c) 2001, the Institute of Electrical and Electronics Engineers, Inc. and The Open Group. All Rights Reserved.
@@ -9,7 +10,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH STRCOLL 3C "Nov 1, 2003"
+.TH STRCOLL 3C "Jun 23, 2014"
 .SH NAME
 strcoll, strcoll_l \- string collation
 .SH SYNOPSIS
@@ -18,37 +19,37 @@
 #include <string.h>
 
 \fBint\fR \fBstrcoll\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR);
+.fi
+.LP
+.nf
 \fBint\fR \fBstrcoll_l\fR(\fBconst char *\fR\fIs1\fR, \fBconst char *\fR\fIs2\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 Both \fBstrcoll()\fR and \fBstrxfrm\fR(3C) provide for locale-specific string
 sorting.  \fBstrcoll()\fR is intended for applications in which the number of
 comparisons per string is small. When strings are to be compared a number of
 times, \fBstrxfrm\fR(3C) is a more appropriate function because the
-transformation process occurs only once. The \fBstrcoll_l()\fR function behaves
+transformation process occurs only once.
+.LP
+The \fBstrcoll_l()\fR function behaves
 identically to \fBstrcoll()\fR, except instead of operating in the current
 locale, it operates in the locale specified by \fIloc\fR.
-.sp
 .LP
 The \fBstrcoll()\fR function does not change the setting of \fBerrno\fR if
 successful.
-.sp
 .LP
 Since no return value is reserved to indicate an error, an application wishing
 to check for error situations should set \fBerrno\fR to 0, then call
 \fBstrcoll()\fR, then check \fBerrno\fR.
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, \fBstrcoll()\fR returns an integer greater than,
 equal to, or less than zero in direct correlation to whether string \fIs1\fR is
 greater than, equal to, or less than the string \fIs2\fR.  The comparison is
-based on strings interpreted as appropriate to the program's locale  for
+based on strings interpreted as appropriate to the locale
 category \fBLC_COLLATE\fR (see \fBsetlocale\fR(3C)).
-.sp
 .LP
 On error, \fBstrcoll()\fR may set \fBerrno\fR, but no return value is reserved
 to indicate an error.
@@ -55,7 +56,7 @@
 .SH ERRORS
 .sp
 .LP
-The \fBstrcoll()\fR function may fail if:
+The \fBstrcoll()\fR and \fBstrcoll_l()\fR functions may fail if:
 .sp
 .ne 2
 .na
@@ -65,25 +66,14 @@
 The \fIs1\fR or \fIs2\fR arguments contain characters outside the domain of the
 collating sequence.
 .RE
-
 .SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/usr/lib/locale/\fIlocale\fR/\fIlocale\fR.so.*\fR\fR
-.ad
-.sp .6
-.RS 4n
-\fBLC_COLLATE\fR database for \fIlocale\fR
+.IP \fB/usr/lib/locale/\fR\fIlocale\fR\fB/LC_COLLATE/*\fR
+collation database for \fIlocale\fR
 .RE
 
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -94,15 +84,12 @@
 _
 Interface Stability	Standard
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
-.sp
-.LP
-The \fBstrcoll()\fR function can be used safely in multithreaded applications,
-as long as \fBsetlocale\fR(3C) is not being called to change the locale.
 .SH SEE ALSO
 .sp
 .LP
-\fBlocaledef\fR(1), \fBsetlocale\fR(3C), \fBstring\fR(3C), \fBstrxfrm\fR(3C),
+\fBlocaledef\fR(1), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBstring\fR(3C),
+\fBstrxfrm\fR(3C), \fBuselocale\fR(3C),
 \fBwsxfrm\fR(3C), \fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)
--- /dev/null	Sun Jun 29 11:52:20 2014
+++ new/usr/src/man/man3c/strfmon.3c	Sun Jun 29 11:52:20 2014
@@ -0,0 +1,164 @@
+.\"
+.\" This file and its contents are supplied under the terms of the
+.\" Common Development and Distribution License ("CDDL"), version 1.0.
+.\" You may only use this file in accordance with the terms of version
+.\" 1.0 of the CDDL.
+.\"
+.\" A full copy of the text of the CDDL should have accompanied this
+.\" source.  A copy of the CDDL is also available via the Internet at
+.\" http://www.illumos.org/license/CDDL.
+.\"
+.\"
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.\"
+.TH STRFMON 3C "Jun 23, 2014"
+.SH NAME
+strfmon, strfmon_l \- convert monetary values to string
+.SH SYNOPSIS
+.LP
+.nf
+#include <monetary.h>
+
+\fBssize_t\fR \fBstrfmon\fR(\fBchar *restrict\fR \fIs\fR, \fBsize_t\fR \fImaxsize\fR,
+    \fBconst char *restrict\fR \fIformat\fR, ...);
+.fi
+.LP
+.nf
+\fBssize_t\fR \fBstrfmon\fR(\fBchar *restrict\fR \fIs\fR, \fBsize_t\fR \fImaxsize\fR,
+    \fBlocale_t\fR \fIloc\fR, \fBconst char *restrict\fR \fIformat\fR, ...);
+.fi
+.SH DESCRIPTION
+These functions are used to format strings containing numeric quantities using
+rules that are specific to a given locale.  For example, in the United States,
+currencies are formatted using the dollar sign
+.RB ( $ )
+and include two decimal digits (cents).
+.LP
+Each character from the
+.I format
+is copied to the output buffer supplied by
+.IR s .
+Furthermore, when a percent
+.RB ( % )
+character is encountered, this triggers an expansion, as follows:
+.LP
+Immediately following the
+.B %
+character there shall be zero or more flags, as indicated below:
+.TP
+.BI = f
+An equals sign followed by a character
+.I f
+is the numeric fill
+character, which must be a single byte.  The default fill character is <space>.
+.TP
+.B ^
+The carat suppresses the use of grouping characters, even if the
+locale indicates their use.
+.TP
+.B +
+The plus sign indicates that positive and negative numbers should use the
+locale's positive and negative signs.  This may not be used with the open
+parenthesis. This behavior is default.
+.TP
+.B (
+The open parenthesis indicates that negative numbers should be enclosed
+within parenthesis, and no special formatting should be applied to positive
+values.  This may not be supplied with the plus sign flag.
+.TP
+.B !
+The exclamation point suppresses the output of any currency symbol.
+.TP
+.B -
+The dash specifies that numeric values should be left-justified
+within a field width, if a field width is specified.
+.LP
+Next there may appear an optional minimum field width, specified as a string of
+decimal digits, indicating a minimum width in bytes of this fields.
+.LP
+Next there may appear a left precision, as
+.RI # p ,
+indicating the maximum
+number of digits expected to appear left of the radix character.  (If a numeric
+value does not require this many places, including grouping separators, then
+the numeric fill character is used to pad the value to this many places.)
+.LP
+Next there may appear a right precision, as
+.RI . p ,
+indicating the minimum
+number of digits to appear to to the right of the radix character.  If the
+value of
+.I p
+is zero, then the radix character is also suppressed.
+.LP
+Finally there shall appear one of the following conversion specifier
+characters:
+.TP
+.B i
+The next available argument (assumed to be
+.BR double )
+is formatted, using
+the locale's international currency format.  For example, in the United States,
+the output might look like "USD 1,234.56".
+.TP
+.B n
+The next available argument (assumed to be
+.BR double )
+is formatted, using
+the locale's national currency format.  For example, in the United States, the
+output might look like "$1,234.56".
+.TP
+.B %
+A single percent character is emitted.  In this case, the entire specifier
+shall be
+.BR %% .
+.LP
+Whereas the
+.B strfmon()
+function uses the current locale, the
+.B strfmon_l()
+function uses the supplied locale
+.IR loc .
+.SH RETURN VALUES
+.LP
+If the conversion was successfully performed, and the entire result (including
+the terminating null character) fits in
+.I maxsize
+bytes, then the number of
+bytes placed in the buffer (excluding the terminating null character) is
+returned.
+.LP
+If the result of expansion exceeds
+.I maxsize
+bytes, then the value \(mi1 is returned, and
+.I errno
+is set to
+.BR E2BIG .
+.SH NOTES
+The result of formatting a value that is not a rational number (e.g. +NaN) is
+unspecified.
+.SH ATTRIBUTES
+.LP
+See
+.BR attributes (5)
+for descriptions of the following attributes:
+.TS
+box;
+c | c
+l | l .
+ATTRIBUTE TYPE	ATTRIBUTE VALUE
+_
+CSI	Enabled
+_
+Interface Stability	Standard
+_
+MT-Level	MT-Safe
+.TE
+
+.SH SEE ALSO
+.BR setlocale (3C),
+.BR uselocale (3C),
+.BR locale (3HEAD),
+.BR attributes (5),
+.BR standards (5)
+
